<!DOCTYPE html>

<html>
<head>
    <title>Q2</title>
    <script src="https://ajax.aspnetcdn.com/ajax/jQuery/jquery-3.3.1.min.js"></script>
</head>
<body>

    <table id="table"border=2px >
        <tr>
            <th>
                Titles
            </th>

            <th>
                Presenter
            </th>
        </tr>
    </table>


    <script>
        var dat = (function () {
            var json = null;
            $.ajax({
            async: false,
            global: false,
            url: "./data.json",
            dataType: "json",
            success: function (data) {
                json = data;
            }
            });
            return json;
        })();
        for(i of dat){
            document.getElementById("table").innerHTML += "<tr onclick=\"clicked(this)\" id=" + i.pid  + "><td>" + i.title + "</td><td>" + i.presenterNames + "</td></tr>"  ;
        }
    </script>
</body>
</html>